using Hawkeye.VisionBuilder.Workflow.Datatypes.Elements.Edge;
using Hawkeye.VisionBuilder.Workflow.Datatypes.Elements.Origin;


namespace Hawkeye.VisionBuilder.Workflow.Links;

public class NoOrigin:BaseOperation,IHaveOrigin,IHaveEdge
{
    private NoOrigin()
    {
    }

    public static NoOrigin Instance { get; } = new NoOrigin();

    public Guid Id { get; } = new Guid();
    public OriginElement Origin { get; } = new OriginElement();
    public string Label { get; set; } = "No origin";

    protected override void InterpretInternal(Context context)
    {
        throw new NotImplementedException();
    }

    public override void Save(BinaryWriter bw)
    {
        throw new NotImplementedException();
    }

    public override void Load(BinaryReader br)
    {
        throw new NotImplementedException();
    }

    public IHaveOrigin Parent { get; set; }

    public EdgeOrigin EdgeOrigin { get; }
}